<?xml version="1.0" encoding="UTF-8"?><!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd"><html xmlns="http://www.w3.org/1999/xhtml" lang="en"><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8"/><link rel="stylesheet" href="../jacoco-resources/report.css" type="text/css"/><link rel="shortcut icon" href="../jacoco-resources/report.gif" type="image/gif"/><title>Phone_Number.java</title><link rel="stylesheet" href="../jacoco-resources/prettify.css" type="text/css"/><script type="text/javascript" src="../jacoco-resources/prettify.js"></script></head><body onload="window['PR_TAB_WIDTH']=4;prettyPrint()"><div class="breadcrumb" id="breadcrumb"><span class="info"><a href="../jacoco-sessions.html" class="el_session">Sessions</a></span><a href="../index.html" class="el_report">ProyectoArquitectura</a> &gt; <a href="index.source.html" class="el_package">Entities</a> &gt; <span class="el_source">Phone_Number.java</span></div><h1>Phone_Number.java</h1><pre class="source lang-java linenums">package Entities;

import java.io.Serializable;
import java.util.ArrayList;
import constructors.Plan_Factory;
import plans.IPlan;

public class Phone_Number implements Serializable {
	private static final long serialVersionUID = -2555170365942325277L;
	private static final int LIMIT_FRIENDS_NUMBERS = 4;
	private int telephone;
	private int antique;
	private double  balance;
	private IPlan plan_rate;
<span class="fc" id="L15">	private ArrayList&lt;Integer&gt;telephoneFriends = new ArrayList&lt;Integer&gt;();</span>
	
<span class="fc" id="L17">	public Phone_Number(int telephone,double balance,String planType, String friends_number) {</span>
<span class="fc" id="L18">		this.telephone = telephone;</span>
<span class="fc" id="L19">        this.balance = balance;</span>
<span class="fc" id="L20">        this.antique = 0;</span>
<span class="fc" id="L21">        getFriendsNumbersFromStringList(friends_number);</span>
<span class="fc" id="L22">        setPlan(planType);</span>
<span class="fc" id="L23">	}</span>
	public int getTelephone(){
<span class="fc" id="L25">		return telephone;</span>
	}
	
	public int getAntique() {
<span class="fc" id="L29">		return antique;</span>
	}

	public double getBalance() {
<span class="fc" id="L33">		return balance;</span>
	}
	
	public String getTelephoneFriends(){
<span class="fc" id="L37">		String result=null;</span>
<span class="fc bfc" id="L38" title="All 2 branches covered.">        if (telephoneFriends.size() &gt; 0) {</span>
<span class="fc" id="L39">            StringBuilder sb = new StringBuilder();</span>
<span class="fc bfc" id="L40" title="All 2 branches covered.">            for (int s : telephoneFriends) {</span>
<span class="fc" id="L41">                sb.append(s).append(&quot;,&quot;);</span>
            }
<span class="fc" id="L43">            result = sb.deleteCharAt(sb.length() - 1).toString();</span>
<span class="fc" id="L44">        }</span>
        else	
        {
<span class="fc" id="L47">        	result = &quot;S/N&quot;;</span>
        }
<span class="fc" id="L49">        return result;</span>
	}

	public String getPlan() {
<span class="fc" id="L53">		return plan_rate.getPlanType();</span>
	}
	
	
	public double calculateCost(String hour,String duration,int targetTelephone){
		double result;
<span class="fc" id="L59">		result= plan_rate.calculateCost(hour, duration, targetTelephone);</span>
<span class="fc" id="L60">		return result;</span>
	}

	public void setPlan(String planType) {
<span class="fc" id="L64">		Plan_Factory plan = new Plan_Factory();</span>
<span class="fc" id="L65">		plan_rate = plan.ChooseRate(planType, telephoneFriends);</span>
<span class="fc" id="L66">	} </span>
	

	public void registerFriendNumber(int telephone) {
<span class="fc bfc" id="L70" title="All 2 branches covered.">		if(telephoneFriends.size()&lt;LIMIT_FRIENDS_NUMBERS)</span>
<span class="fc" id="L71">			telephoneFriends.add(telephone);</span>
<span class="fc" id="L72">	}</span>
	
	public void getFriendsNumbersFromStringList(String friends_number) {
<span class="fc bfc" id="L75" title="All 2 branches covered.">	        if(!friends_number.contentEquals(&quot;S/N&quot;))</span>
			{
<span class="fc" id="L77">	            String[] friends = friends_number.split(&quot;,&quot;);</span>
<span class="fc bfc" id="L78" title="All 2 branches covered.">	            for(int i=0;i&lt;friends.length;i++)</span>
	            {
<span class="fc" id="L80">            		registerFriendNumber(Integer.parseInt(friends[i])); </span>
	            }
	        }
<span class="fc" id="L83">	    }</span>
}

</pre><div class="footer"><span class="right">Created with <a href="http://www.jacoco.org/jacoco">JaCoCo</a> 0.8.3.201901230119</span></div></body></html>